Subject: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Philipp Stephani <[email-masked]>
Date: Sat, 5 Dec 2020 20:35:42 +0100

Am Sa., 5. Dez. 2020 um 17:26 Uhr schrieb Basil L. Contovounesios
<[email-masked]>:
>
> forcemerge 42545 45032
> quit
>
> Lars Ingebrigtsen <[email-masked]> writes:
>
> > So I don't know how to fix this.  We could add another kludge -- saying
> > that a boolean used as an object key "obviously" should be a string
> > instead (when converting back to JSON)?  Opinions?
>
> This is a duplicate of https://debbugs.gnu.org/42545.
>
> I think it's important that native and Elisp JSON serialisation are as
> consistent as possible here;

I don't think that's realistic: any change in behavior to either of
these functions would be a breaking change.